Admiral

Runs

Approve a run's plan

POST
/v1/runs/{run_id}/approve

FAILED_PRECONDITION when plan_digest is not the run's plan, or the run is not PLANNED.

Scope: run:write

Authorization

bearerAuth
AuthorizationBearer <token>

An API key, or an access token minted from one. Pass it in the Authorization header: Bearer admp_...

In: header

Path Parameters

run_id*run_id

The run_id path parameter.

Match^run-[0-9a-z]+$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/runs/string/approve" \  -H "Content-Type: application/json" \  -d '{    "plan_digest": "string"  }'
{  "approval": {    "plan_digest": "string",    "approved_by": {      "id": "string",      "display_name": "string",      "email": "string"    },    "reason": "string",    "approved_at": "2023-01-15T01:30:15.01Z",    "carried_from_run_id": "string"  }}